org.keycloak.services.managers

## Class ApplicationManager

- java.lang.Object
- - org.keycloak.services.managers.ApplicationManager

-     public class ApplicationManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApplicationManager.InstallationAdapterConfig`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jboss.logging.Logger` | `logger`
    `protected RealmManager` | `realmManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationManager()`
    `ApplicationManager(RealmManager realmManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationModel` | `createApplication(RealmModel realm, ApplicationRepresentation resourceRep)` Does not create scope or role mappings!
    `ApplicationModel` | `createApplication(RealmModel realm, String name)`
    `void` | `createRoleMappings(RealmModel realm, ApplicationModel applicationModel, List<UserRoleMappingRepresentation> mappings)`
    `void` | `createScopeMappings(RealmModel realm, ApplicationModel applicationModel, List<ScopeMappingRepresentation> mappings)`
    `UserCredentialModel` | `generateSecret(ApplicationModel app)`
    `ApplicationManager.InstallationAdapterConfig` | `toInstallationRepresentation(RealmModel realmModel, ApplicationModel applicationModel, URI baseUri)`
    `String` | `toJBossSubsystemConfig(RealmModel realmModel, ApplicationModel applicationModel, URI baseUri)`
    `ApplicationRepresentation` | `toRepresentation(ApplicationModel applicationModel)`
    `void` | `updateApplication(ApplicationRepresentation rep, ApplicationModel resource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.jboss.logging.Logger logger

    - #### realmManager

          protected RealmManager realmManager

  - ### Constructor Detail

    - #### ApplicationManager

          public ApplicationManager(RealmManager realmManager)

    - #### ApplicationManager

          public ApplicationManager()

  - ### Method Detail

    - #### createApplication

          public ApplicationModel createApplication(RealmModel realm,
                                           ApplicationRepresentation resourceRep)

      Does not create scope or role mappings!
      Parameters:
        `realm` -
        `resourceRep` -
      Returns:

    - #### createRoleMappings

          public void createRoleMappings(RealmModel realm,
                                ApplicationModel applicationModel,
                                List<UserRoleMappingRepresentation> mappings)

    - #### createScopeMappings

          public void createScopeMappings(RealmModel realm,
                                 ApplicationModel applicationModel,
                                 List<ScopeMappingRepresentation> mappings)

    - #### createApplication

          public ApplicationModel createApplication(RealmModel realm,
                                           String name)

    - #### generateSecret

          public UserCredentialModel generateSecret(ApplicationModel app)

    - #### updateApplication

          public void updateApplication(ApplicationRepresentation rep,
                               ApplicationModel resource)

    - #### toRepresentation

          public ApplicationRepresentation toRepresentation(ApplicationModel applicationModel)

    - #### toInstallationRepresentation

          public ApplicationManager.InstallationAdapterConfig toInstallationRepresentation(RealmModel realmModel,
                                                                                  ApplicationModel applicationModel,
                                                                                  URI baseUri)

    - #### toJBossSubsystemConfig

          public String toJBossSubsystemConfig(RealmModel realmModel,
                                      ApplicationModel applicationModel,
                                      URI baseUri)

Copyright © 2014. All Rights Reserved.